<?xml version="1.0" encoding="UTF-8" ?>

<config xmlns="http://thelia.net/schema/dic/config"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://thelia.net/schema/dic/config http://thelia.net/schema/dic/config/thelia-1.0.xsd">

    <forms>
        <form name="lps-area-general-update" class="LivraisonParSecteurs\Form\GeneralForm"/>
        <form name="lps-area-cities-update" class="LivraisonParSecteurs\Form\CitiesForm" />
        <form name="lps-area-schedule-update" class="LivraisonParSecteurs\Form\ScheduleUpdateForm" />
        <form name="lps-area-schedule-create" class="LivraisonParSecteurs\Form\ScheduleCreateForm"/>
        <form name="lps-area-cities-add" class="LivraisonParSecteurs\Form\CitiesAddForm"/>
    </forms>

    <loops>
        <loop name="lps_area" class="LivraisonParSecteurs\Loop\AreaLoop"/>
        <loop name="lps_area_schedule" class="LivraisonParSecteurs\Loop\AreaScheduleLoop"/>
        <loop name="lps_area_cities" class="LivraisonParSecteurs\Loop\AreaCitiesLoop"/>
    </loops>

    <hooks>
        <hook id="lps.admin.hook" class="LivraisonParSecteurs\Hook\AdminHook">
            <tag name="hook.event_listener" event="main.in-top-menu-items" type="back" method="onMainTopMenuTools" />
            <tag name="hook.event_listener" event="order-edit.bill-delivery-address" type="back" method="displayDeliveryDate" />
            <tag name="hook.event_listener" event="home.block" type="back" method="displayScheduledDeliveries" />
            <argument type="service" id="thelia.securityContext"/>
        </hook>
        <hook id="lps.front.hookmanager" class="LivraisonParSecteurs\Hook\FrontHook">
            <tag name="hook.event_listener" event="order-delivery.extra" type="front" method="onOrderDeliveryExtra" />
            <tag name="hook.event_listener" event="order-invoice.delivery-address" type="front" method="displayDeliveryDate" />
        </hook>
        <hook id="lps.email.hookmanager" class="LivraisonParSecteurs\Hook\EmailHook">
            <tag name="hook.event_listener" event="email-html.order-confirmation.delivery-address" type="email" method="displayDeliveryDateWithinEmail" />
            <tag name="hook.event_listener" event="email-html.order-notification.delivery-address" type="email" method="displayDeliveryDateWithinEmail" />
        </hook>
    </hooks>

</config>
